////////////////////////////////////////////////////////////////////////////////
// Copyright (c) 2001-2023 Alexey Kuryakin daqgroup@mail.ru under MIT license //
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// This file is part of the CRW-DAQ project by DaqGroup - component CRWKIT.   //
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// Purpose:                                                                   //
// Mouse position viewer.                                                     //
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// History:                                                                   //
// 2021xxxx - Created by A.K.                                                 //
// 20240118 - Modified for FPC (A.K.)                                         //
////////////////////////////////////////////////////////////////////////////////

program mousepos; // Mouse position viewer

{$I _crw_sysdef}

{$IFDEF FPC}{$mode Delphi}{$ENDIF}{$H+}

uses
  _crw_sharemem, // NB: THIS UNIT MUST BE FIRST !!!
  {$IFDEF UNIX} cthreads, dl, {$ENDIF}
  {$IFDEF WINDOWS} windows, {$ENDIF}
  {$IFDEF WINDOWS} shellapi, {$ENDIF}
  sysutils, classes, math,
  Forms, Interfaces, // this includes the LCL widgetset
  _crw_alloc, _crw_sesman,
  form_mousepos;

{$R *.res}

begin

 if not SessionManager.Start('$ 1') then begin
  if FindAppActivate(MousePosWndClass,MousePosWndTitle,true)
  then writeln('PID ',FindAppPid(MousePosWndClass,MousePosWndTitle),' activated.');
  Exit;
 end;
 RequireDerivedFormResource:=True;
  Application.Scaled:=True;
 Application.Initialize;
 Application.CreateForm(TFormMousePos, FormMousePos);
 Application.Run;

end.

//////////////
// END OF FILE
//////////////

